<?xml version="1.0" encoding="UTF-8"?>
<section version="5.0" xml:id="j2ee.ejb" xml:lang="en"
         xmlns="http://docbook.org/ns/docbook"
         xmlns:xlink="http://www.w3.org/1999/xlink"
         xmlns:xi="http://www.w3.org/2001/XInclude"
         xmlns:svg="http://www.w3.org/2000/svg"
         xmlns:mml="http://www.w3.org/1998/Math/MathML"
         xmlns:html="http://www.w3.org/1999/xhtml"
         xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <title>Enterprise Bean Creation</title>
  </info>

  <para>The individual in charge of developing Enterprise Beans should consult
  the for instructions on how to perform the following tasks:</para>

  <orderedlist continuation="restarts" inheritnum="ignore">
    <listitem>
      <para>Write the source code for the beans.</para>
    </listitem>

    <listitem>
      <para>Specify the deployment descriptor.</para>
    </listitem>

    <listitem>
      <para>Bundle the compiled classes and the deployment descriptor into an
      EJB JAR file.</para>
    </listitem>
  </orderedlist>

  <para>JOnAS 5 supports both versions 2 and 3 of the Enterprise Java Beans
  (EJB) specifications. Programming and configuration methods between these
  two versions have changed drastically, we therefore provide you with two
  different programmer's guides:</para>

  <itemizedlist>
    <listitem>
      <para><link xlink:href="ejb3_programmer_guide.html">Enterprise Beans
      Programmer's Guide, for EJB version 3 (recommended)</link></para>
    </listitem>
  </itemizedlist>

  <itemizedlist>
    <listitem>
      <para><link xlink:href="ejb2_programmer_guide.html">Enterprise Beans
      Programmer's Guide, for EJB version 2</link></para>
    </listitem>
  </itemizedlist>
</section>